Upgrade Guide: Home Menu Items
Closed, ResolvedPublic

Description

Starting Week 5 of 2017, the "Home" experience on Phabricator has changed. If you are an administrator upgrading there are a few things you should know.

Home now supports Profile Menu Items. This is our extendable menu system that supports various menu item types and Personal and Global settings. If you had previously configured Applications in Global Settings, this menu now supersedes it. You will have to re-configure your home menu for all users. Users who had customized their Applications in their settings, will also need to adjust their menu to what they want as well. Because of the significantly new feature set, it was not possible to migrate these settings.

The new Home menu also better integrates Dashboards. If you did not use Dashboards (either as your own homepage, or as a default homepage, nothing here will have changed. Otherwise, if you had installed a dashboard to Home, these have been migrated along with the new menu layout. This might be confusing.

  • Phabricator's default "Home" is hardwired, and was previously replaced by a dashboard. In the new system, the default "Home" is still present (and you can disable it in the "Edit Menu" layout).
  • If you installed a global default Dashboard as "Home" that Dashboard has been migrated to the Global Menu Item, as the top item. If a user does not have a custom dashboard, this will now be their default. You'll probably want to disable the default Home that's not in use.
  • If a user had installed a custom dashboard to their "Home", that dashboard will be migrated to their Personal Menu Item. They will also see any global dashboards installed.

The new home menu has many new features, like the Favorites Menu in the header. Please check out the blog post for a high level overview of all the new features. Also see T12174 for known issues and future plans if you have additional feedback.

chad created this task.Feb 3 2017, 11:48 PM
chad updated the task description. (Show Details)Feb 4 2017, 3:40 AM
epriestley closed this task as Resolved.Feb 18 2017, 2:25 AM
epriestley claimed this task.

This has been live for a couple of weeks and I don't think we've seen too much confusion from users.

chad added a comment.Feb 18 2017, 3:14 AM

I'm probably going to add a note to the dashboard dialog explaining home special casing better